## theoradec

theoradec — decode raw theora streams to raw YUV video

## Synopsis

    struct              GstTheoraDec;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstTheoraDec

## Properties

      "crop"                     gboolean              : Read / Write

## Description

## Synopsis

### Element Information

plugin | theora
author | Benjamin Otte <otte@gnome.org>, Wim Taymans <wim@fluendo.com>
class | Codec/Decoder/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-theora

name | src
direction | source
presence | always
details | video/x-raw-yuv, format=(fourcc){ I420, Y42B, Y444 }, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]

## Details

### struct GstTheoraDec

    struct GstTheoraDec;

## Property Details

### The `"crop"` property

      "crop"                     gboolean              : Read / Write

Crop the image to the visible region.

Default value: TRUE